; Program Name: EDITATTS.lsp
; Version 1.00
; Date: 26/11/96
; Purpose: Edit attributes using a script batch processor.
; Usage: (EditAtts BlockName as String AttributeTagName as String AttributeValue as String)
;        ie. (editatts "NGS0046-" "REV-CMPSF" "A")
;Revision History
;17/9/97	1.00	Original Issue

(defun EDITATTS (CMP_BN CMP_ATN CMP_AV / CMP_en CMP_ed)
	(setq ss (ssget "X" (list (cons 0 "INSERT") (cons 2 CMP_BN))))
	(setq index 0)
	(if ss
   		(repeat (sslength ss)
	   		(setq CMP_ed (entget (setq CMP_en (ssname ss index))))
         	   	(while 	(and 	(/= CMP_ATN (cdr (assoc 2 CMP_ed)))
					(/= "SEQEND" (cdr (assoc 0 CMP_ed)))
				)
                  		(setq CMP_ed (entget (setq CMP_en (entnext CMP_en))))
              	  	)
			(if (= "SEQEND" (cdr (assoc 0 CMP_ed)))
				(prompt (strcat "\nAttribute Name \"" CMP_ATN "\" does not exist in block name \"" CMP_BN "\" !!"))
       				(progn
					(setq CMP_ed (subst (cons 1 CMP_AV) (assoc 1 CMP_ed) CMP_ed))
                			(entmod CMP_ed)
					(entupd CMP_en)
				)
			)
			(setq index (1+ index))
		)
	)
	(princ)
)												;update drawing number on side
